Package org.zkoss.web.portlet

## Class PortletServletDispatcher

- java.lang.Object
- - org.zkoss.web.portlet.PortletServletDispatcher

- All Implemented Interfaces:
    `javax.servlet.RequestDispatcher`

      public class PortletServletDispatcher
      extends java.lang.Object
      implements javax.servlet.RequestDispatcher

  A facade of a PortletRequestDispatch for implementing RequestDispatcher.
  Author:
    tomyeh

- - ### Field Summary

    - ### Fields inherited from interface javax.servlet.RequestDispatcher

      `ERROR_EXCEPTION, ERROR_EXCEPTION_TYPE, ERROR_MESSAGE, ERROR_REQUEST_URI, ERROR_SERVLET_NAME, ERROR_STATUS_CODE, FORWARD_CONTEXT_PATH, FORWARD_PATH_INFO, FORWARD_QUERY_STRING, FORWARD_REQUEST_URI, FORWARD_SERVLET_PATH, INCLUDE_CONTEXT_PATH, INCLUDE_PATH_INFO, INCLUDE_QUERY_STRING, INCLUDE_REQUEST_URI, INCLUDE_SERVLET_PATH`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `forward​(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)` |
    `static javax.servlet.RequestDispatcher` | `getInstance​(javax.portlet.PortletRequestDispatcher rd)` | Returns a facade instance for the specified dispatcher.
    `void` | `include​(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static final javax.servlet.RequestDispatcher getInstance​(javax.portlet.PortletRequestDispatcher rd)

      Returns a facade instance for the specified dispatcher.

    - #### forward

          public void forward​(javax.servlet.ServletRequest request,
                              javax.servlet.ServletResponse response)
                       throws javax.servlet.ServletException,
                              java.io.IOException

      Specified by:
        `forward` in interface `javax.servlet.RequestDispatcher`
      Throws:
        `javax.servlet.ServletException`
        `java.io.IOException`

    - #### include

          public void include​(javax.servlet.ServletRequest request,
                              javax.servlet.ServletResponse response)
                       throws javax.servlet.ServletException,
                              java.io.IOException

      Specified by:
        `include` in interface `javax.servlet.RequestDispatcher`
      Throws:
        `javax.servlet.ServletException`
        `java.io.IOException`